<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ArtifactsWorkspaceSettings">
    <artifacts-to-build>
      <artifact name="youka-api:war exploded" />
    </artifacts-to-build>
  </component>
  <component name="ChangeListManager">
    <list default="true" id="73c94a71-f5b8-49ac-9938-658c0517dcea" name="Default" comment="" />
    <ignored path="$PROJECT_DIR$/src/main/webapp/WEB-INF/classes/" />
    <ignored path="$PROJECT_DIR$/target/" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DatabaseView">
    <option name="SHOW_INTERMEDIATE" value="true" />
    <option name="GROUP_DATA_SOURCES" value="true" />
    <option name="GROUP_SCHEMA" value="true" />
    <option name="GROUP_CONTENTS" value="false" />
    <option name="SORT_POSITIONED" value="false" />
    <option name="SHOW_TABLE_DETAILS" value="true" />
    <option name="SHOW_EMPTY_GROUPS" value="false" />
    <option name="AUTO_SCROLL_FROM_SOURCE" value="false" />
    <expand />
    <select />
  </component>
  <component name="ErrorTreeViewConfiguration">
    <option name="hideWarnings" value="true" />
    <option name="HIDE_WARNINGS" value="true" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file leaf-file-name="AdvService.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/homepage/service/AdvService.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="440">
              <caret line="22" column="33" lean-forward="false" selection-start-line="22" selection-start-column="33" selection-end-line="22" selection-end-column="33" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#622#623#0" expanded="true" />
                <element signature="e#671#672#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="AdvDao.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/homepage/dao/AdvDao.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="264">
              <caret line="12" column="30" lean-forward="false" selection-start-line="12" selection-start-column="20" selection-end-line="12" selection-end-column="30" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="AdvDao.xml" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/src/main/resources/mappings/modules/homepage/AdvDao.xml">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="180">
              <caret line="15" column="30" lean-forward="true" selection-start-line="15" selection-start-column="30" selection-end-line="15" selection-end-column="30" />
              <folding>
                <marker date="1517466131178" expanded="true" signature="323:1009" ph="SELECT a.id,... bbc_adv" />
                <marker date="1517466131178" expanded="true" signature="1009:1016" ph="SELECT a.id,... bbc_adv" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="ValidationFilter.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/filter/ValidationFilter.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="264">
              <caret line="33" column="19" lean-forward="false" selection-start-line="33" selection-start-column="19" selection-end-line="33" selection-end-column="19" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="AdvEntity.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/homepage/entity/AdvEntity.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="0">
              <caret line="0" column="8" lean-forward="false" selection-start-line="0" selection-start-column="8" selection-end-line="0" selection-end-column="52" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#500#501#0" expanded="true" />
                <element signature="e#527#528#0" expanded="true" />
                <element signature="e#567#568#0" expanded="true" />
                <element signature="e#599#600#0" expanded="true" />
                <element signature="e#631#632#0" expanded="true" />
                <element signature="e#659#660#0" expanded="true" />
                <element signature="e#701#702#0" expanded="true" />
                <element signature="e#735#736#0" expanded="true" />
                <element signature="e#766#767#0" expanded="true" />
                <element signature="e#793#794#0" expanded="true" />
                <element signature="e#833#834#0" expanded="true" />
                <element signature="e#865#866#0" expanded="true" />
                <element signature="e#898#899#0" expanded="true" />
                <element signature="e#927#928#0" expanded="true" />
                <element signature="e#971#972#0" expanded="true" />
                <element signature="e#1007#1008#0" expanded="true" />
                <element signature="e#1041#1042#0" expanded="true" />
                <element signature="e#1071#1072#0" expanded="true" />
                <element signature="e#1117#1118#0" expanded="true" />
                <element signature="e#1155#1156#0" expanded="true" />
                <element signature="e#1188#1189#0" expanded="true" />
                <element signature="e#1217#1218#0" expanded="true" />
                <element signature="e#1261#1262#0" expanded="true" />
                <element signature="e#1297#1298#0" expanded="true" />
                <element signature="e#1330#1331#0" expanded="true" />
                <element signature="e#1359#1360#0" expanded="true" />
                <element signature="e#1403#1404#0" expanded="true" />
                <element signature="e#1439#1440#0" expanded="true" />
                <element signature="e#1472#1473#0" expanded="true" />
                <element signature="e#1501#1502#0" expanded="true" />
                <element signature="e#1545#1546#0" expanded="true" />
                <element signature="e#1581#1582#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="BaseEntity.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/baseBean/BaseEntity.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="242">
              <caret line="13" column="54" lean-forward="false" selection-start-line="13" selection-start-column="54" selection-end-line="13" selection-end-column="54" />
              <folding>
                <element signature="e#613#614#0" expanded="true" />
                <element signature="e#638#639#0" expanded="true" />
                <element signature="e#674#675#0" expanded="true" />
                <element signature="e#702#703#0" expanded="true" />
                <element signature="e#733#734#0" expanded="true" />
                <element signature="e#760#761#0" expanded="true" />
                <element signature="e#800#801#0" expanded="true" />
                <element signature="e#832#833#0" expanded="true" />
                <element signature="e#866#867#0" expanded="true" />
                <element signature="e#896#897#0" expanded="true" />
                <element signature="e#942#943#0" expanded="true" />
                <element signature="e#980#981#0" expanded="true" />
                <element signature="e#1018#1019#0" expanded="true" />
                <element signature="e#1052#1053#0" expanded="true" />
                <element signature="e#1106#1107#0" expanded="true" />
                <element signature="e#1152#1153#0" expanded="true" />
                <element signature="e#1187#1188#0" expanded="true" />
                <element signature="e#1218#1219#0" expanded="true" />
                <element signature="e#1266#1267#0" expanded="true" />
                <element signature="e#1306#1307#0" expanded="true" />
                <element signature="e#1345#1346#0" expanded="true" />
                <element signature="e#1380#1381#0" expanded="true" />
                <element signature="e#1436#1437#0" expanded="true" />
                <element signature="e#1484#1485#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="AdvController.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/homepage/api/AdvController.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="378">
              <caret line="21" column="42" lean-forward="false" selection-start-line="21" selection-start-column="32" selection-end-line="21" selection-end-column="42" />
              <folding>
                <element signature="imports" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="Response.java" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/baseBean/Response.java">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="132">
              <caret line="6" column="55" lean-forward="false" selection-start-line="6" selection-start-column="55" selection-end-line="6" selection-end-column="55" />
              <folding>
                <element signature="imports" expanded="true" />
                <element signature="e#1714#1715#0" expanded="true" />
                <element signature="e#1749#1750#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Class" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>jeesite.properties</find>
      <find>spring-context-activiti</find>
      <find>project.build.sourceEncoding</find>
      <find>activiti.version</find>
      <find>JSONPFilter</find>
      <find>a</find>
      <find>activi</find>
      <find>Activiti</find>
      <find>JeeSite</find>
      <find>youka</find>
      <find>web.view.index</find>
      <find>display</find>
      <find>fast</find>
      <find>fastjson.version</find>
      <find>CurdService</find>
      <find>Validator</find>
      <find>com.ejweb.</find>
      <find>BaseEntity</find>
      <find>com.ejweb</find>
      <find>ejweb</find>
      <find>description</find>
      <find>staffId</find>
      <find>4.1.9</find>
      <find>jac</find>
      <find>jackson.versio</find>
      <find>login</find>
      <find>/login</find>
      <find>shiroFilter</find>
      <find>lifecycleBeanPostProcessor</find>
      <find>shiro</find>
    </findStrings>
    <replaceStrings>
      <replace>com.thinkgem.jeesite</replace>
      <replace>message</replace>
      <replace>subMerchantId</replace>
    </replaceStrings>
  </component>
  <component name="GradleLocalSettings">
    <option name="externalProjectsViewState">
      <projects_view />
    </option>
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/gen/web/GenTableController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/sys/service/SystemService.java" />
        <option value="$PROJECT_DIR$/src/main/webapp/WEB-INF/web.xml" />
        <option value="$PROJECT_DIR$/src/main/resources/log4j.properties" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/homepage/entity/Adv.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/api/RequestBean.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/api/ResponseBean.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/security/Base64Util.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/security/DES3Utils.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/config/GConstants.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/service/CurdService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/persistence/BaseBean.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/homepage/bean/AdvGetAdvListBean.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/persistence/BaseEntity.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/service/CrudService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/homepage/web/AdvController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/service/BaseService.java" />
        <option value="$PROJECT_DIR$/src/main/resources/spring-context.xml" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/core/api/RequestBean.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/core/base/CurdService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/adv/api/AdvController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/ejweb/core/geoip/IPSeeker.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/ejweb/modules/user/api/UserController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/utils/CacheUtils.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/baseBean/Request.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/filter/OaFilter.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/filter/ValidateFilter.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/utils/MD5.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/constant/ComCode.java" />
        <option value="$PROJECT_DIR$/src/main/resources/youka.properties" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/baseBean/Response.java" />
        <option value="$PROJECT_DIR$/pom.xml" />
        <option value="$PROJECT_DIR$/src/main/resources/spring-mvc.xml" />
        <option value="$PROJECT_DIR$/src/main/resources/spring-context-shiro.xml" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/homepage/AdvController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/commonError/FilterController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/homepage/bean/AdvRequest.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/homepage/api/AdvController.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/homepage/entity/AdvEntity.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/baseBean/BaseEntity.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/homepage/service/AdvService.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/homepage/dao/AdvDao.java" />
        <option value="$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/filter/ValidationFilter.java" />
        <option value="$PROJECT_DIR$/src/main/resources/mappings/modules/homepage/AdvDao.xml" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="LogFilters">
    <option name="FILTER_ERRORS" value="false" />
    <option name="FILTER_WARNINGS" value="false" />
    <option name="FILTER_INFO" value="true" />
    <option name="FILTER_DEBUG" value="true" />
    <option name="CUSTOM_FILTER" />
  </component>
  <component name="MavenImportPreferences">
    <option name="generalSettings">
      <MavenGeneralSettings>
        <option name="mavenHome" value="C:/Program Files/apache-maven-3.3.9" />
        <option name="userSettingsFile" value="C:\Program Files\apache-maven-3.3.9\conf\settings.xml" />
      </MavenGeneralSettings>
    </option>
    <option name="importingSettings">
      <MavenImportingSettings>
        <option name="importAutomatically" value="true" />
      </MavenImportingSettings>
    </option>
  </component>
  <component name="MavenProjectNavigator">
    <treeState>
      <expand>
        <path>
          <item name="" type="16c1761:MavenProjectsStructure$RootNode" />
          <item name="youka-manage" type="9519ce18:MavenProjectsStructure$ProjectNode" />
        </path>
      </expand>
      <select />
    </treeState>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-11" />
    <option name="y" value="-11" />
    <option name="width" value="1386" />
    <option name="height" value="788" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <flattenPackages />
      <showMembers />
      <showModules />
      <showLibraryContents />
      <hideEmptyPackages />
      <abbreviatePackageNames />
      <autoscrollToSource />
      <autoscrollFromSource />
      <sortByType />
      <manualOrder />
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="youka-api" type="b2602c69:ProjectViewProjectNode" />
              <item name="youka-api" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="youka-api" type="b2602c69:ProjectViewProjectNode" />
              <item name="youka-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="youka-api" type="b2602c69:ProjectViewProjectNode" />
              <item name="youka-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="youka-api" type="b2602c69:ProjectViewProjectNode" />
              <item name="youka-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="youka-api" type="b2602c69:ProjectViewProjectNode" />
              <item name="youka-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="jeesite" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="youka-api" type="b2602c69:ProjectViewProjectNode" />
              <item name="youka-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="jeesite" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="youka-api" type="b2602c69:ProjectViewProjectNode" />
              <item name="youka-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="jeesite" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
              <item name="baseBean" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="youka-api" type="b2602c69:ProjectViewProjectNode" />
              <item name="youka-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="jeesite" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
              <item name="config" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="youka-api" type="b2602c69:ProjectViewProjectNode" />
              <item name="youka-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="jeesite" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
              <item name="constant" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="youka-api" type="b2602c69:ProjectViewProjectNode" />
              <item name="youka-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="jeesite" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
              <item name="filter" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="youka-api" type="b2602c69:ProjectViewProjectNode" />
              <item name="youka-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="jeesite" type="462c0819:PsiDirectoryNode" />
              <item name="common" type="462c0819:PsiDirectoryNode" />
              <item name="security" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="youka-api" type="b2602c69:ProjectViewProjectNode" />
              <item name="youka-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="jeesite" type="462c0819:PsiDirectoryNode" />
              <item name="modules" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="youka-api" type="b2602c69:ProjectViewProjectNode" />
              <item name="youka-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="jeesite" type="462c0819:PsiDirectoryNode" />
              <item name="modules" type="462c0819:PsiDirectoryNode" />
              <item name="cms" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="youka-api" type="b2602c69:ProjectViewProjectNode" />
              <item name="youka-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="jeesite" type="462c0819:PsiDirectoryNode" />
              <item name="modules" type="462c0819:PsiDirectoryNode" />
              <item name="cms" type="462c0819:PsiDirectoryNode" />
              <item name="web" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="youka-api" type="b2602c69:ProjectViewProjectNode" />
              <item name="youka-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="jeesite" type="462c0819:PsiDirectoryNode" />
              <item name="modules" type="462c0819:PsiDirectoryNode" />
              <item name="commonError" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="youka-api" type="b2602c69:ProjectViewProjectNode" />
              <item name="youka-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="jeesite" type="462c0819:PsiDirectoryNode" />
              <item name="modules" type="462c0819:PsiDirectoryNode" />
              <item name="homepage" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="youka-api" type="b2602c69:ProjectViewProjectNode" />
              <item name="youka-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="jeesite" type="462c0819:PsiDirectoryNode" />
              <item name="modules" type="462c0819:PsiDirectoryNode" />
              <item name="homepage" type="462c0819:PsiDirectoryNode" />
              <item name="api" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="youka-api" type="b2602c69:ProjectViewProjectNode" />
              <item name="youka-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="java" type="462c0819:PsiDirectoryNode" />
              <item name="jeesite" type="462c0819:PsiDirectoryNode" />
              <item name="modules" type="462c0819:PsiDirectoryNode" />
              <item name="homepage" type="462c0819:PsiDirectoryNode" />
              <item name="service" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="youka-api" type="b2602c69:ProjectViewProjectNode" />
              <item name="youka-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="youka-api" type="b2602c69:ProjectViewProjectNode" />
              <item name="youka-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="mappings" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="youka-api" type="b2602c69:ProjectViewProjectNode" />
              <item name="youka-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="resources" type="462c0819:PsiDirectoryNode" />
              <item name="mappings" type="462c0819:PsiDirectoryNode" />
              <item name="modules" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="youka-api" type="b2602c69:ProjectViewProjectNode" />
              <item name="youka-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="webapp" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="youka-api" type="b2602c69:ProjectViewProjectNode" />
              <item name="youka-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="webapp" type="462c0819:PsiDirectoryNode" />
              <item name="WEB-INF" type="462c0819:PsiDirectoryNode" />
            </path>
            <path>
              <item name="youka-api" type="b2602c69:ProjectViewProjectNode" />
              <item name="youka-api" type="462c0819:PsiDirectoryNode" />
              <item name="src" type="462c0819:PsiDirectoryNode" />
              <item name="main" type="462c0819:PsiDirectoryNode" />
              <item name="webapp" type="462c0819:PsiDirectoryNode" />
              <item name="WEB-INF" type="462c0819:PsiDirectoryNode" />
              <item name="views" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="AndroidView" />
      <pane id="Scope" />
      <pane id="Scratches" />
      <pane id="PackagesPane" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="settings.editor.selected.configurable" value="preferences.keymap" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="last_opened_file_path" value="D:/Program Files (x86)/JetBrains/IdeaProjects/oa" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="project.structure.last.edited" value="Modules" />
    <property name="project.structure.proportion" value="0.15" />
    <property name="project.structure.side.proportion" value="0.2" />
    <property name="Downloaded.Files.Path.Enabled" value="false" />
    <property name="Repository.Attach.JavaDocs" value="false" />
    <property name="Repository.Attach.Sources" value="false" />
  </component>
  <component name="RecentsManager">
    <key name="CopyClassDialog.RECENTS_KEY">
      <recent name="com.thinkgem.jeesite.modules.homepage.dao" />
      <recent name="com.thinkgem.jeesite.modules.homepage.service" />
      <recent name="com.thinkgem.jeesite.modules.homepage" />
      <recent name="com.thinkgem.jeesite.modules.commonError" />
      <recent name="com.thinkgem.jeesite.common.utils" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="C:\Users\振楠\Desktop\新建文件夹\youka-api\src\main\resources\mappings\modules\homepage" />
      <recent name="C:\Users\振楠\Desktop\新建文件夹\youka-api\src\main\java\com\thinkgem\jeesite\common\baseBean" />
      <recent name="C:\Users\振楠\Desktop\新建文件夹\youka-api\src\main\java\com\thinkgem\jeesite\common\persistence" />
      <recent name="C:\Users\振楠\Desktop\新建文件夹\youka-api\src\main\java\com\thinkgem\jeesite\common\security" />
      <recent name="C:\Users\振楠\Desktop\新建文件夹\youka-api\src\main\java\com\thinkgem\jeesite\common\config" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager">
    <configuration default="true" type="Applet" factoryName="Applet">
      <option name="HTML_USED" value="false" />
      <option name="WIDTH" value="400" />
      <option name="HEIGHT" value="300" />
      <option name="POLICY_FILE" value="$APPLICATION_HOME_DIR$/bin/appletviewer.policy" />
      <module />
    </configuration>
    <configuration default="true" type="Application" factoryName="Application">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <option name="MAIN_CLASS_NAME" />
      <option name="VM_PARAMETERS" />
      <option name="PROGRAM_PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="ENABLE_SWING_INSPECTOR" value="false" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <module name="" />
      <envs />
    </configuration>
    <configuration default="true" type="JUnit" factoryName="JUnit">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="TEST_OBJECT" value="class" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <envs />
      <patterns />
    </configuration>
    <configuration default="true" type="Remote" factoryName="Remote">
      <option name="USE_SOCKET_TRANSPORT" value="true" />
      <option name="SERVER_MODE" value="false" />
      <option name="SHMEM_ADDRESS" value="javadebug" />
      <option name="HOST" value="localhost" />
      <option name="PORT" value="5005" />
    </configuration>
    <configuration default="true" type="TestNG" factoryName="TestNG">
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <module name="" />
      <option name="ALTERNATIVE_JRE_PATH_ENABLED" value="false" />
      <option name="ALTERNATIVE_JRE_PATH" />
      <option name="SUITE_NAME" />
      <option name="PACKAGE_NAME" />
      <option name="MAIN_CLASS_NAME" />
      <option name="METHOD_NAME" />
      <option name="GROUP_NAME" />
      <option name="TEST_OBJECT" value="CLASS" />
      <option name="VM_PARAMETERS" value="-ea" />
      <option name="PARAMETERS" />
      <option name="WORKING_DIRECTORY" value="%MODULE_WORKING_DIR%" />
      <option name="OUTPUT_DIRECTORY" />
      <option name="ANNOTATION_TYPE" />
      <option name="ENV_VARIABLES" />
      <option name="PASS_PARENT_ENVS" value="true" />
      <option name="TEST_SEARCH_SCOPE">
        <value defaultName="singleModule" />
      </option>
      <option name="USE_DEFAULT_REPORTERS" value="false" />
      <option name="PROPERTIES_FILE" />
      <envs />
      <properties />
      <listeners />
    </configuration>
    <configuration name="Tomcat 8.5" type="#com.intellij.j2ee.web.tomcat.TomcatRunConfigurationFactory" factoryName="Local" APPLICATION_SERVER_NAME="Tomcat 8.5.24" ALTERNATIVE_JRE_ENABLED="true" ALTERNATIVE_JRE_PATH="1.8">
      <option name="UPDATE_ON_FRAME_DEACTIVATION" value="true" />
      <option name="UPDATE_CLASSES_ON_FRAME_DEACTIVATION" value="true" />
      <option name="UPDATING_POLICY" value="restart-server" />
      <deployment>
        <artifact name="youka-api:war exploded">
          <settings>
            <option name="CONTEXT_PATH" value="/" />
          </settings>
        </artifact>
      </deployment>
      <server-settings>
        <option name="BASE_DIRECTORY_NAME" value="Unnamed_youka-api_2" />
      </server-settings>
      <predefined_log_file id="Tomcat" enabled="true" />
      <predefined_log_file id="Tomcat Catalina" enabled="true" />
      <predefined_log_file id="Tomcat Manager" enabled="false" />
      <predefined_log_file id="Tomcat Host Manager" enabled="false" />
      <predefined_log_file id="Tomcat Localhost Access" enabled="false" />
      <extension name="coverage" enabled="false" merge="false" sample_coverage="true" runner="idea" />
      <RunnerSettings RunnerId="Debug">
        <option name="DEBUG_PORT" value="58091" />
      </RunnerSettings>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Cover">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Debug">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <ConfigurationWrapper VM_VAR="JAVA_OPTS" RunnerId="Run">
        <option name="USE_ENV_VARIABLES" value="true" />
        <STARTUP>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </STARTUP>
        <SHUTDOWN>
          <option name="USE_DEFAULT" value="true" />
          <option name="SCRIPT" value="" />
          <option name="VM_PARAMETERS" value="" />
          <option name="PROGRAM_PARAMETERS" value="" />
        </SHUTDOWN>
      </ConfigurationWrapper>
      <method>
        <option name="BuildArtifacts" enabled="true">
          <artifact name="youka-api:war exploded" />
        </option>
      </method>
    </configuration>
    <configuration default="true" type="#org.jetbrains.idea.devkit.run.PluginConfigurationType" factoryName="Plugin">
      <module name="" />
      <option name="VM_PARAMETERS" value="-Xmx512m -Xms256m -XX:MaxPermSize=250m -ea" />
      <option name="PROGRAM_PARAMETERS" />
      <predefined_log_file id="idea.log" enabled="true" />
    </configuration>
  </component>
  <component name="ShelveChangesManager" show_recycled="false">
    <option name="remove_strategy" value="false" />
  </component>
  <component name="SvnConfiguration">
    <configuration>C:\Users\振楠\AppData\Roaming\Subversion</configuration>
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="73c94a71-f5b8-49ac-9938-658c0517dcea" name="Default" comment="" />
      <created>1517395771775</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1517395771775</updated>
      <workItem from="1517395775404" duration="1825000" />
      <workItem from="1517397812284" duration="6909000" />
      <workItem from="1517447644484" duration="13707000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="22441000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1314" height="784" extended-state="6" />
    <editor active="true" />
    <layout>
      <window_info id="Palette" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.3287037" sideWeight="0.5" order="7" side_tool="true" content_ui="tabs" />
      <window_info id="Application Servers" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.3287037" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Maven Projects" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.3293461" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Capture Tool" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Designer" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Database" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.3293461" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="UI Designer" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="SLIDING" type="SLIDING" visible="false" show_stripe_button="true" weight="0.5277778" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Messages" active="false" anchor="bottom" auto_hide="false" internal_type="SLIDING" type="SLIDING" visible="false" show_stripe_button="true" weight="0.8873457" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Palette&#9;" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Image Layers" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Java Enterprise" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Capture Analysis" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="false" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="SLIDING" type="SLIDING" visible="false" show_stripe_button="true" weight="0.87191355" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Spring" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Project" active="false" anchor="left" auto_hide="false" internal_type="SLIDING" type="SLIDING" visible="false" show_stripe_button="true" weight="0.25757575" sideWeight="0.5" order="0" side_tool="false" content_ui="combo" />
      <window_info id="Bean Validation" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Web" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="true" content_ui="tabs" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="SLIDING" type="SLIDING" visible="false" show_stripe_button="true" weight="0.3287037" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Theme Preview" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="true" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
    </layout>
    <layout-to-restore>
      <window_info id="Palette" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="true" content_ui="tabs" />
      <window_info id="Application Servers" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.3287037" sideWeight="0.5" order="8" side_tool="false" content_ui="tabs" />
      <window_info id="Maven Projects" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.3293461" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Capture Tool" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Designer" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Database" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="UI Designer" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="SLIDING" type="SLIDING" visible="false" show_stripe_button="true" weight="0.73919755" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Messages" active="false" anchor="bottom" auto_hide="false" internal_type="SLIDING" type="SLIDING" visible="false" show_stripe_button="true" weight="0.3287037" sideWeight="0.5" order="9" side_tool="false" content_ui="tabs" />
      <window_info id="Palette&#9;" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Image Layers" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Java Enterprise" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="10" side_tool="false" content_ui="tabs" />
      <window_info id="Capture Analysis" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="false" content_ui="tabs" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="false" weight="0.33" sideWeight="0.5" order="11" side_tool="false" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="SLIDING" type="SLIDING" visible="false" show_stripe_button="true" weight="0.87191355" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Spring" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="12" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="13" side_tool="false" content_ui="tabs" />
      <window_info id="Project" active="true" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="true" show_stripe_button="true" weight="0.25358853" sideWeight="0.5" order="0" side_tool="false" content_ui="combo" />
      <window_info id="Bean Validation" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="8" side_tool="false" content_ui="tabs" />
      <window_info id="Web" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="true" content_ui="tabs" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="SLIDING" type="SLIDING" visible="false" show_stripe_button="true" weight="0.3287037" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Theme Preview" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="9" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="true" content_ui="tabs" />
    </layout-to-restore>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager>
      <option name="time" value="4" />
    </breakpoint-manager>
    <watches-manager />
  </component>
  <component name="debuggerHistoryManager">
    <expressions id="watch">
      <expression>
        <expression-string>request.getScheme()+&quot;://&quot;+request.getServerName()+&quot;:&quot;+                 request.getServerPort()</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>httpRequest.getServerName()</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>httpRequest.getServletPath()</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>httpRequest.getRequestURI()</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
      <expression>
        <expression-string>httpRequest.getRemoteHost()</expression-string>
        <language-id>JAVA</language-id>
        <evaluation-mode>EXPRESSION</evaluation-mode>
      </expression>
    </expressions>
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/homepage/web/AdvController.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/service/CrudService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="199">
          <caret line="20" column="93" lean-forward="true" selection-start-line="20" selection-start-column="93" selection-end-line="20" selection-end-column="93" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/service/BaseService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="286">
          <caret line="36" column="23" lean-forward="false" selection-start-line="36" selection-start-column="14" selection-end-line="36" selection-end-column="23" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/test/dao/TestTreeDao.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="66">
          <caret line="5" column="46" lean-forward="false" selection-start-line="5" selection-start-column="46" selection-end-line="5" selection-end-column="46" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ejweb/core/api/RequestBean.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/test/entity/TestTree.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="140">
          <caret line="9" column="28" lean-forward="true" selection-start-line="9" selection-start-column="28" selection-end-line="9" selection-end-column="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ejweb/modules/adv/api/AdvController.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ejweb/core/geoip/IPSeeker.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ejweb/core/fetcher/HCFetcher.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ejweb/core/fetcher/ClientConnectionMonitor.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/org/activiti/editor/language/json/converter/BpmnJsonConverter.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ejweb/modules/user/service/UserService.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ejweb/modules/user/bean/OfficeRecordBean.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ejweb/core/auth/AuthorInterceptor.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ejweb/core/util/ConvertUtil.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/thread/Runnable.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="375">
          <caret line="139" column="33" lean-forward="false" selection-start-line="139" selection-start-column="33" selection-end-line="139" selection-end-column="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/builder/xml/XMLMapperBuilder.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="1329">
          <caret line="250" column="0" lean-forward="false" selection-start-line="250" selection-start-column="0" selection-end-line="250" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ejweb/modules/cms/comment/api/CommentController.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ejweb/modules/user/api/UserController.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/ejweb/core/base/CurdService.java" />
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/thread/MybatisRunnable.java" />
    <entry file="file://$PROJECT_DIR$/src/main/resources/mappings/modules/adv/AdvDao.xml" />
    <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/cms/dao/ArticleDao.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="66">
          <caret line="5" column="22" lean-forward="true" selection-start-line="5" selection-start-column="22" selection-end-line="5" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/org/apache/ibatis/session/Configuration.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="22">
          <caret line="62" column="48" lean-forward="false" selection-start-line="62" selection-start-column="48" selection-end-line="62" selection-end-column="48" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/utils/CacheUtils.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="220">
          <caret line="23" column="41" lean-forward="true" selection-start-line="23" selection-start-column="41" selection-end-line="23" selection-end-column="41" />
          <folding>
            <element signature="imports" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/utils/MD5.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/constant/ComCode.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="352">
          <caret line="16" column="62" lean-forward="false" selection-start-line="16" selection-start-column="62" selection-end-line="16" selection-end-column="62" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="jar://$MAVEN_REPOSITORY$/org/springframework/spring-web/4.3.3.RELEASE/spring-web-4.3.3.RELEASE-sources.jar!/org/springframework/web/method/support/InvocableHandlerMethod.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="207">
          <caret line="220" column="0" lean-forward="false" selection-start-line="220" selection-start-column="0" selection-end-line="220" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/youka.properties">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="880">
          <caret line="88" column="19" lean-forward="false" selection-start-line="88" selection-start-column="19" selection-end-line="88" selection-end-column="19" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/sys/interceptor/LogInterceptor.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="207">
          <caret line="23" column="13" lean-forward="false" selection-start-line="23" selection-start-column="13" selection-end-line="23" selection-end-column="13" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/pom.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="262">
          <caret line="133" column="20" lean-forward="false" selection-start-line="133" selection-start-column="20" selection-end-line="133" selection-end-column="20" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/spring-context-shiro.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="229">
          <caret line="16" column="33" lean-forward="false" selection-start-line="16" selection-start-column="29" selection-end-line="16" selection-end-column="33" />
          <folding>
            <element signature="n#value#0;n#constructor-arg#0;n#bean#0;n#beans#0;n#!!top" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/webapp/WEB-INF/web.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="295">
          <caret line="42" column="43" lean-forward="true" selection-start-line="42" selection-start-column="43" selection-end-line="42" selection-end-column="43" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/spring-context.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="142">
          <caret line="57" column="32" lean-forward="false" selection-start-line="57" selection-start-column="32" selection-end-line="57" selection-end-column="32" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/sys/web/LoginController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="13">
          <caret line="60" column="8" lean-forward="true" selection-start-line="60" selection-start-column="8" selection-end-line="60" selection-end-column="8" />
          <folding>
            <element signature="imports" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/commonError/FilterController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="199">
          <caret line="13" column="13" lean-forward="false" selection-start-line="13" selection-start-column="13" selection-end-line="13" selection-end-column="13" />
          <folding>
            <element signature="imports" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/spring-mvc.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="334">
          <caret line="101" column="0" lean-forward="true" selection-start-line="101" selection-start-column="0" selection-end-line="101" selection-end-column="0" />
          <folding>
            <element signature="e#4600#4617#0" expanded="false" />
            <element signature="e#4658#4673#0" expanded="false" />
            <element signature="e#4714#4734#0" expanded="false" />
            <element signature="e#4775#4803#0" expanded="false" />
            <element signature="e#4844#4876#0" expanded="false" />
            <element signature="e#4917#4954#0" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/homepage/bean/AdvRequest.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="88">
          <caret line="4" column="23" lean-forward="false" selection-start-line="4" selection-start-column="13" selection-end-line="4" selection-end-column="23" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/baseBean/Request.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="198">
          <caret line="9" column="17" lean-forward="false" selection-start-line="9" selection-start-column="17" selection-end-line="9" selection-end-column="17" />
          <folding>
            <element signature="e#402#403#0" expanded="false" />
            <element signature="e#438#439#0" expanded="false" />
            <element signature="e#496#497#0" expanded="false" />
            <element signature="e#546#547#0" expanded="false" />
            <element signature="e#577#578#0" expanded="false" />
            <element signature="e#604#605#0" expanded="false" />
            <element signature="e#644#645#0" expanded="false" />
            <element signature="e#676#677#0" expanded="false" />
            <element signature="e#710#711#0" expanded="false" />
            <element signature="e#742#743#0" expanded="false" />
            <element signature="e#790#791#0" expanded="false" />
            <element signature="e#832#833#0" expanded="false" />
            <element signature="e#863#864#0" expanded="false" />
            <element signature="e#893#894#0" expanded="false" />
            <element signature="e#936#937#0" expanded="false" />
            <element signature="e#974#975#0" expanded="false" />
            <element signature="e#1006#1007#0" expanded="false" />
            <element signature="e#1037#1038#0" expanded="false" />
            <element signature="e#1082#1083#0" expanded="false" />
            <element signature="e#1122#1123#0" expanded="false" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/baseBean/Response.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="132">
          <caret line="6" column="55" lean-forward="false" selection-start-line="6" selection-start-column="55" selection-end-line="6" selection-end-column="55" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#1714#1715#0" expanded="true" />
            <element signature="e#1749#1750#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/homepage/api/AdvController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="378">
          <caret line="21" column="42" lean-forward="false" selection-start-line="21" selection-start-column="32" selection-end-line="21" selection-end-column="42" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/persistence/BaseEntity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1254">
          <caret line="39" column="31" lean-forward="false" selection-start-line="39" selection-start-column="31" selection-end-line="39" selection-end-column="31" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/cms/entity/Article.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="207">
          <caret line="23" column="35" lean-forward="false" selection-start-line="23" selection-start-column="35" selection-end-line="23" selection-end-column="35" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/cms/web/ArticleController.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="383">
          <caret line="67" column="25" lean-forward="true" selection-start-line="67" selection-start-column="25" selection-end-line="67" selection-end-column="25" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/baseBean/BaseEntity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="242">
          <caret line="13" column="54" lean-forward="false" selection-start-line="13" selection-start-column="54" selection-end-line="13" selection-end-column="54" />
          <folding>
            <element signature="e#613#614#0" expanded="true" />
            <element signature="e#638#639#0" expanded="true" />
            <element signature="e#674#675#0" expanded="true" />
            <element signature="e#702#703#0" expanded="true" />
            <element signature="e#733#734#0" expanded="true" />
            <element signature="e#760#761#0" expanded="true" />
            <element signature="e#800#801#0" expanded="true" />
            <element signature="e#832#833#0" expanded="true" />
            <element signature="e#866#867#0" expanded="true" />
            <element signature="e#896#897#0" expanded="true" />
            <element signature="e#942#943#0" expanded="true" />
            <element signature="e#980#981#0" expanded="true" />
            <element signature="e#1018#1019#0" expanded="true" />
            <element signature="e#1052#1053#0" expanded="true" />
            <element signature="e#1106#1107#0" expanded="true" />
            <element signature="e#1152#1153#0" expanded="true" />
            <element signature="e#1187#1188#0" expanded="true" />
            <element signature="e#1218#1219#0" expanded="true" />
            <element signature="e#1266#1267#0" expanded="true" />
            <element signature="e#1306#1307#0" expanded="true" />
            <element signature="e#1345#1346#0" expanded="true" />
            <element signature="e#1380#1381#0" expanded="true" />
            <element signature="e#1436#1437#0" expanded="true" />
            <element signature="e#1484#1485#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/persistence/DataEntity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="242">
          <caret line="22" column="0" lean-forward="true" selection-start-line="22" selection-start-column="0" selection-end-line="22" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/homepage/service/AdvService.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="440">
          <caret line="22" column="33" lean-forward="false" selection-start-line="22" selection-start-column="33" selection-end-line="22" selection-end-column="33" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#622#623#0" expanded="true" />
            <element signature="e#671#672#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/homepage/dao/AdvDao.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="264">
          <caret line="12" column="30" lean-forward="false" selection-start-line="12" selection-start-column="20" selection-end-line="12" selection-end-column="30" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/modules/homepage/entity/AdvEntity.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="8" lean-forward="false" selection-start-line="0" selection-start-column="8" selection-end-line="0" selection-end-column="52" />
          <folding>
            <element signature="imports" expanded="true" />
            <element signature="e#500#501#0" expanded="true" />
            <element signature="e#527#528#0" expanded="true" />
            <element signature="e#567#568#0" expanded="true" />
            <element signature="e#599#600#0" expanded="true" />
            <element signature="e#631#632#0" expanded="true" />
            <element signature="e#659#660#0" expanded="true" />
            <element signature="e#701#702#0" expanded="true" />
            <element signature="e#735#736#0" expanded="true" />
            <element signature="e#766#767#0" expanded="true" />
            <element signature="e#793#794#0" expanded="true" />
            <element signature="e#833#834#0" expanded="true" />
            <element signature="e#865#866#0" expanded="true" />
            <element signature="e#898#899#0" expanded="true" />
            <element signature="e#927#928#0" expanded="true" />
            <element signature="e#971#972#0" expanded="true" />
            <element signature="e#1007#1008#0" expanded="true" />
            <element signature="e#1041#1042#0" expanded="true" />
            <element signature="e#1071#1072#0" expanded="true" />
            <element signature="e#1117#1118#0" expanded="true" />
            <element signature="e#1155#1156#0" expanded="true" />
            <element signature="e#1188#1189#0" expanded="true" />
            <element signature="e#1217#1218#0" expanded="true" />
            <element signature="e#1261#1262#0" expanded="true" />
            <element signature="e#1297#1298#0" expanded="true" />
            <element signature="e#1330#1331#0" expanded="true" />
            <element signature="e#1359#1360#0" expanded="true" />
            <element signature="e#1403#1404#0" expanded="true" />
            <element signature="e#1439#1440#0" expanded="true" />
            <element signature="e#1472#1473#0" expanded="true" />
            <element signature="e#1501#1502#0" expanded="true" />
            <element signature="e#1545#1546#0" expanded="true" />
            <element signature="e#1581#1582#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/java/com/thinkgem/jeesite/common/filter/ValidationFilter.java">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="264">
          <caret line="33" column="19" lean-forward="false" selection-start-line="33" selection-start-column="19" selection-end-line="33" selection-end-column="19" />
          <folding>
            <element signature="imports" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/src/main/resources/mappings/modules/homepage/AdvDao.xml">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="180">
          <caret line="15" column="30" lean-forward="true" selection-start-line="15" selection-start-column="30" selection-end-line="15" selection-end-column="30" />
          <folding>
            <marker date="1517466131178" expanded="true" signature="323:1009" ph="SELECT a.id,... bbc_adv" />
            <marker date="1517466131178" expanded="true" signature="1009:1016" ph="SELECT a.id,... bbc_adv" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
  <component name="masterDetails">
    <states>
      <state key="ArtifactsStructureConfigurable.UI">
        <settings>
          <artifact-editor />
          <last-edited>youka-api:war exploded</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
                <option value="0.5" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="FacetStructureConfigurable.UI">
        <settings>
          <last-edited>Web (youka-api)|Web</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="GlobalLibrariesConfigurable.UI">
        <settings>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="JdkListConfigurable.UI">
        <settings>
          <last-edited>1.8</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ModuleStructureConfigurable.UI">
        <settings>
          <last-edited>youka-api</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
      <state key="ProjectLibrariesConfigurable.UI">
        <settings>
          <last-edited>Maven: aopalliance:aopalliance:1.0</last-edited>
          <splitter-proportions>
            <option name="proportions">
              <list>
                <option value="0.2" />
              </list>
            </option>
          </splitter-proportions>
        </settings>
      </state>
    </states>
  </component>
</project>